ARG UBI_IMAGE=

FROM ${UBI_IMAGE}

ARG BUILD_DIR=/tmp/build
ARG DNF_OPTS

ENV LIBDIR ${LIBDIR:-"/usr/lib64"}
ENV INCLUDEDIR=/usr/include

RUN microdnf ${DNF_OPTS} update --best --assumeyes --nodocs --setopt=install_weak_deps=0 \
    && microdnf ${DNF_OPTS} install --best --assumeyes --nodocs --setopt=install_weak_deps=0 \
        autoconf cmake gcc gcc-c++ make meson ninja-build patch perl \
        # ubi-minimal does not have findutils or which by default!
        which findutils \
        tar gzip \
        bzip2 libedit ncurses uuid libarchive diffutils \
        curl-devel libicu-devel libffi-devel libedit-devel libuuid-devel openssl-devel ncurses-devel pcre2-devel zlib-devel libstdc++-static \
        git \
    && mkdir -p ${BUILD_DIR} \
    && cd ${BUILD_DIR} \
    && rm -f ${DNF_INSTALL_ROOT}/var/lib/dnf/history*

ADD scripts/ /

WORKDIR ${BUILD_DIR}
